CustomGraphConsumer (Apache JMeter dist API)
Description: declaration: package: org.apache.jmeter.report.processor.graph.impl, class: CustomGraphConsumer

Package org.apache.jmeter.report.processor.graph.impl

# Class CustomGraphConsumer

java.lang.Object
org.apache.jmeter.report.processor.AbstractSampleProcessor
org.apache.jmeter.report.processor.AbstractSampleConsumer
org.apache.jmeter.report.processor.graph.AbstractGraphConsumer
org.apache.jmeter.report.processor.graph.AbstractOverTimeGraphConsumer
org.apache.jmeter.report.processor.graph.impl.CustomGraphConsumer

All Implemented Interfaces:
  `SampleConsumer`, `SampleProcessor`, `SampleProducer`

public class CustomGraphConsumer extends AbstractOverTimeGraphConsumer implements SampleConsumer
The class CustomGraphConsumer is added by the custom Graphs plugin. It provides all the graphs the user defined in user.properties.

Since:
  5.0

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `REPORT_GENERATOR_PROPERTIES`
  `static final String`
  `RESULT_CONTENT_MESSAGE`
  `static final String`
  `RESULT_SAMPLE_VARIABLE_NAME`
  `static final String`
  `RESULT_X_AXIS`
  `static final String`
  `RESULT_Y_AXIS`

  ### Fields inherited from class org.apache.jmeter.report.processor.graph.AbstractOverTimeGraphConsumer

  `RESULT_CTX_GRANULARITY`

  ### Fields inherited from class org.apache.jmeter.report.processor.graph.AbstractGraphConsumer

  `DEFAULT_AGGREGATED_KEYS_SERIES_FORMAT, DEFAULT_GROUP, DEFAULT_OVERALL_SERIES_FORMAT, RESULT_MAX_X, RESULT_MAX_Y, RESULT_MIN_X, RESULT_MIN_Y, RESULT_SERIES, RESULT_SERIES_DATA, RESULT_SERIES_IS_CONTROLLER, RESULT_SERIES_IS_OVERALL, RESULT_SERIES_NAME, RESULT_SUPPORTS_CONTROLLERS_DISCRIMINATION, RESULT_TITLE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CustomGraphConsumer()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected Map<String,GroupInfo>`
  `createGroupInfos()`
  `protected TimeStampKeysSelector`
  `createTimeStampKeysSelector()`
  Creates the time stamp keys selector.
  `String`
  `getContentMessage()`
  Gets the content message.
  `boolean`
  `getIsNativeSampleVariableName()`
  Only used for junit tests.
  `String`
  `getSampleVariableName()`
  Gets the sampleVariableName.
  `String`
  `getXAxis()`
  Gets the X Axis.
  `String`
  `getYAxis()`
  Gets the Y Axis.
  `protected void`
  `initializeExtraResults(MapResultData parentResult)`
  Inherited classes can add properties to the result
  `void`
  `setContentMessage(String message)`
  Sets the contentMessage.
  `void`
  `setSampleVariableName(String sampleVarName)`
  Sets the sampleVariableName.
  `void`
  `setXAxis(String axis)`
  Sets the xAxis.
  `void`
  `setYAxis(String axis)`
  Sets the yAxis.

  ### Methods inherited from class org.apache.jmeter.report.processor.graph.AbstractOverTimeGraphConsumer

  `createKeysSelector, getGranularity, initialize, setGranularity`

  ### Methods inherited from class org.apache.jmeter.report.processor.graph.AbstractGraphConsumer

  `consume, createSerieResult, getAggregatedKeysSeriesFormat, getGroupInfos, getInvertsKeysAndValues, getKeysSelector, getOverallSeriesFormat, getTitle, rendersPercentiles, setAggregatedKeysSeriesFormat, setOverallSeriesFormat, setRenderPercentiles, setRevertKeysAndValues, setTitle, startConsuming, stopConsuming`

  ### Methods inherited from class org.apache.jmeter.report.processor.AbstractSampleConsumer

  `addSampleConsumer, getConsumedChannelCount, getConsumedMetadata, getConsumer, getDataFromContext, getName, getWorkingDirectory, produce, removeSampleConsumer, setChannelAttribute, setConsumedMetadata, setDataToContext, setName, setProducedMetadata, setSampleConsumer, setSampleConsumers, setSampleContext, startProducing, stopProducing`

  ### Methods inherited from class org.apache.jmeter.report.processor.AbstractSampleProcessor

  `getChannelAttribute, getSampleContext`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface org.apache.jmeter.report.processor.SampleConsumer

  `consume, setConsumedMetadata, startConsuming, stopConsuming`

  ### Methods inherited from interface org.apache.jmeter.report.processor.SampleProcessor

  `getChannelAttribute, getSampleContext, setChannelAttribute, setSampleContext`

- ## Field Details

  - ### RESULT_Y_AXIS

    public static final String RESULT_Y_AXIS
    See Also:
      - Constant Field Values

  - ### RESULT_X_AXIS

    public static final String RESULT_X_AXIS
    See Also:
      - Constant Field Values

  - ### RESULT_SAMPLE_VARIABLE_NAME

    public static final String RESULT_SAMPLE_VARIABLE_NAME
    See Also:
      - Constant Field Values

  - ### RESULT_CONTENT_MESSAGE

    public static final String RESULT_CONTENT_MESSAGE
    See Also:
      - Constant Field Values

  - ### REPORT_GENERATOR_PROPERTIES

    public static final String REPORT_GENERATOR_PROPERTIES
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### CustomGraphConsumer

    public CustomGraphConsumer()

- ## Method Details

  - ### getIsNativeSampleVariableName

    public boolean getIsNativeSampleVariableName()
    Only used for junit tests. Indicates if the sampleVariableName is native
    Returns:
      the nativeSampleVariableName

  - ### getYAxis

    public String getYAxis()
    Gets the Y Axis.
    Returns:
      the yAxis

  - ### getXAxis

    public String getXAxis()
    Gets the X Axis.
    Returns:
      the xAxis

  - ### setYAxis

    public void setYAxis(String axis)
    Sets the yAxis.
    Parameters:
      `axis` - the yAxis to set

  - ### setXAxis

    public void setXAxis(String axis)
    Sets the xAxis.
    Parameters:
      `axis` - the xAxis to set

  - ### setContentMessage

    public void setContentMessage(String message)
    Sets the contentMessage.
    Parameters:
      `message` - the message to set

  - ### getContentMessage

    public String getContentMessage()
    Gets the content message.
    Returns:
      the contentMessage

  - ### getSampleVariableName

    public String getSampleVariableName()
    Gets the sampleVariableName.
    Returns:
      the sampleVariableName

  - ### setSampleVariableName

    public void setSampleVariableName(String sampleVarName)
    Sets the sampleVariableName. Sets the boolean isNativesSampleVariableName
    Parameters:
      `sampleVarName` - the sampleVariableName to set

  - ### initializeExtraResults

    protected void initializeExtraResults(MapResultData parentResult)
    Description copied from class: `AbstractGraphConsumer`
    Inherited classes can add properties to the result
    Overrides:
      `initializeExtraResults` in class `AbstractOverTimeGraphConsumer`
    Parameters:
      `parentResult` - the parent result

  - ### createTimeStampKeysSelector

    protected TimeStampKeysSelector createTimeStampKeysSelector()
    Description copied from class: `AbstractOverTimeGraphConsumer`
    Creates the time stamp keys selector.
    Specified by:
      `createTimeStampKeysSelector` in class `AbstractOverTimeGraphConsumer`
    Returns:
      the time stamp keys selector

  - ### createGroupInfos

    protected Map<String,GroupInfo> createGroupInfos()
    Specified by:
      `createGroupInfos` in class `AbstractOverTimeGraphConsumer`